### Name: fbsize
### Title: Sample size for family-based linkage and association design
### Aliases: fbsize
### Keywords: models

### ** Examples

options(echo=FALSE)
models <- matrix(c(
    4.0, 0.01,
    4.0, 0.10,
    4.0, 0.50, 
    4.0, 0.80,
    2.0, 0.01,
    2.0, 0.10,
    2.0, 0.50,
    2.0, 0.80,
    1.5, 0.01,    
    1.5, 0.10,
    1.5, 0.50,
    1.5, 0.80), ncol=2, byrow=TRUE)
    
cat("\nThe family-based result: \n")
cat("\ngamma   p     Y     N_asp   P_A    Het    N_tdt  Het N_asp/tdt  L_o  L_s\n\n")
for(i in 1:12) {
  g <- models[i,1]
  p <- models[i,2]
  fbsize(g,p)
  if(i%%4==0) cat("\n")
}

# APOE-4, Scott WK, Pericak-Vance, MA & Haines JL
# Genetic analysis of complex diseases 1327
g <- 4.5
p <- 0.15
cat("\nAlzheimer's:\n\n")
fbsize(g,p)
options(echo=TRUE)



